/**
 * \ifnot SuppressHeader
 * $Id: Doxygen_MainPage.cpp,v 2.0 2009/05/21 00:58:25 rfiler Exp $
 * \endif
 * \file    Doxygen_MainPage.cpp
 *
 * \brief   Contains the module declaration for the Doxygen output. Also 
 *          contains the content of the main page and related pages.
 *
 * Copyright: © 2009 Sierra Wireless, Inc. all rights reserved
 * 
 */

/** \image html SierraLogo.jpg
* \mainpage Welcome to the Sierra Wireless Windows SDK API Reference Guide
* 
* This API reference guide contains information about all the modules, data 
* structures, and files in the Sierra Wireless Windows SDK. Use the tabs at the 
* top of the page to navigate the reference guide.
* \li Modules tab – lists all the modules and provides links to lists of files 
*     in each module
* \li Classes tab – lists the data structures and provides a brief 
*     description of each; lists the structure and union fields and provides 
*     links to the structures/unions they belong to
* \li Files tab – lists all the files in alphabetical order with links to a 
*     brief description of each; hyperlinks allow you to toggle between the 
*     file description and the source code
* 
* \section sect1 Important Notice
* Due to the nature of wireless communications, transmission and reception of 
* data can never be guaranteed. Data may be delayed, corrupted (i.e., have 
* errors) or be totally lost. Although significant delays or losses of data are
* rare when wireless devices such as the Sierra Wireless modem are used in a 
* normal manner with a well-constructed network, the Sierra Wireless modem 
* should not be used in situations where failure to transmit or receive data 
* could result in damage of any kind to the user or any other party, including 
* but not limited to personal injury, death, or loss of property. Sierra 
* Wireless accepts no responsibility for damages of any kind resulting from 
* delays or errors in data transmitted or received using the Sierra Wireless 
* modem, or for failure of the Sierra Wireless modem to transmit or receive 
* such data.
* 
* \section sect3 Limitation of Liability
* The information in this manual is subject to change without notice and does 
* not represent a commitment on the part of Sierra Wireless. SIERRA WIRELESS 
* AND ITS AFFILIATES SPECIFICALLY DISCLAIM LIABILITY FOR ANY AND ALL DIRECT, 
* INDIRECT, SPECIAL, GENERAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY 
* DAMAGES INCLUDING, BUT NOT LIMITED TO, LOSS OF PROFITS OR REVENUE OR 
* ANTICIPATED PROFITS OR REVENUE ARISING OUT OF THE USE OR INABILITY TO USE ANY 
* SIERRA WIRELESS PRODUCT, EVEN IF SIERRA WIRELESS AND/OR ITS AFFILIATES HAS 
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR THEY ARE FORESEEABLE OR 
* FOR CLAIMS BY ANY THIRD PARTY. 
* 
* Notwithstanding the foregoing, in no event shall Sierra Wireless and/or its 
* affiliates aggregate liability arising under or in connection with the Sierra 
* Wireless product, regardless of the number of events, occurrences, or claims 
* giving rise to liability, be in excess of the price paid by the purchaser for 
* the Sierra Wireless product.
* 
* \section sect4 Patents
* Portions of this product may be covered by some or all of the following US 
* patents:
* \par
* 5,515,013    5,629,960  5,845,216    5,847,553   5,878,234      5,890,057      5,929,815
* \par
* 6,169,884    6,191,741  6,199,168    6,339,405   6,359,591      6,400,336      6,516,204
* \par
* 6,561,851    6,643,501  6,653,979    6,697,030   6,785,830      6,845,249      6,847,830
* \par
* 6,876,697    6,879,585  6,886,049    6,968,171   6,985,757      7,023,878      7,053,843
* \par
* 7,106,569    7,145,267  7,200,512    7,295,171   7, 287,162     D442,170       D459,303
* \par
* D599,256     D560,911
* 
* and other patents pending.
* 
* \n This product includes technology licensed from QUALCOMM.\n
* 
* Licensed by QUALCOMM Incorporated under one or more of the following United States patents and/or
* their counterparts in other nations:
* \par
* 4,901,307    5,056,109  5,101,501    5,109,390   5,228,054      5,267,261      5,267,262
* \par
* 5,337,338    5,414,796  5,416,797    5,490,165   5,504,773      5,506,865      5,511,073
* \par
* 5,535,239    5,544,196  5,568,483    5,600,754   5,657,420      5,659,569      5,710,784
* \par
* 5,778,338
* 
* Manufactured or sold by Sierra Wireless or its licensees under one or more patents licensed from
* InterDigital Group.
* 
* \section sect5 Copyright
* © 2009 Sierra Wireless. All rights reserved.
* 
* \section sect6 Trademarks
* AirCard® and “Heart of the Wireless Machine®” are registered trademarks of 
* Sierra Wireless. Watcher® is a trademark of Sierra Wireless, registered in 
* the European Community. Sierra Wireless, the Sierra Wireless logo, the red 
* wave design, and the red-tipped antenna are trademarks of Sierra Wireless. 
* Windows® is a registered trademark of Microsoft Corporation. QUALCOMM® is a 
* registered trademark of QUALCOMM Incorporated. Used under license. Windows is 
* a registered trademark of Microsoft. Other trademarks are the property 
* of the respective owners.
*  
* \section sect7 Contact Information
* 
* If you have any questions about the Sierra Wireless Windows SDK, contact your
* Sierra Wireless account manager. 
*
* Consult our website for up-to-date product descriptions, documentation, 
* application notes, firmware upgrades, troubleshooting tips, and press 
* releases: http://www.sierrawireless.com.
* 
*/

