/**
 *
 *	Name	:	ConnectAPISampleDlg.h
 *
 *	Purpose	:	Main dialog header file for ConnectAPISample
 *				This sample application demonstrates how to open a
 *				connection to the API.
 *
 *	History	:	created	Oct 23, 2001
 *				- initial version
 *				revised Feb 20 2002
 *				revised June 17, 2003
 *
 *	Revision:	2.0
 *
 *	Copyright (c) 2003 Sierra Wireless, Inc. All rights reserved.
 *
 **/

#if !defined(AFX_ConnectAPISampleDLG_H__9F685AA6_6C65_11D4_89CB_E0C855C1FFFD__INCLUDED_)
#define AFX_ConnectAPISampleDLG_H__9F685AA6_6C65_11D4_89CB_E0C855C1FFFD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SwiDataTypes.h"
#include "SwiApiCm.h"
#include "SwiStructsCm.h"

#define BUFFER_SIZE 80
#define TIMEOUT 3000

/////////////////////////////////////////////////////////////////////////////
// CConnectAPISampleDlg dialog

class CConnectAPISampleDlg : public CDialog
{
// Construction
public:
	CConnectAPISampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CConnectAPISampleDlg)
	enum { IDD = IDD_ConnectAPISample_DIALOG };
	CButton	m_btnConnect;
	CString	m_strStatusIndicator;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConnectAPISampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation

	void ApiConnect (SWI_TYPE_Device eDeviceType, bool bConnect = true);
	BOOL DisconnectModem(); //disconnect from modem
	void ProcessError(SWI_RCODE code); //handle error codes from the API
	SWI_TYPE_Device GetHighestPriorityDeviceType ();

protected:
	HICON m_hIcon;
	BOOL m_bConnected;			// connection status indicator

	enum TYPE_Device
	{
		DEVICE_AC710_750_775_850,
		DEVICE_MC87xx,
	};

	// Generated message map functions
	//{{AFX_MSG(CConnectAPISampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnect();
	afx_msg void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ConnectAPISampleDLG_H__9F685AA6_6C65_11D4_89CB_E0C855C1FFFD__INCLUDED_)
