/**
 *
 *	Name	:	BandSelectSampleDlg.h
 *
 *	Purpose	:	main header file for the BandSelectSample application
 *
 *	History	:	Created Dec 27th, 2007
 *				This sample app demonstrates how to retrieve the bands and set it
 *
 *	Revision:	1.0
 *
 *	Copyright (c) 2003 Sierra Wireless, Inc. All rights reserved.
 *
 **/


#if !defined(AFX_BandSelectSampleDLG_H__F5C8484B_F27F_4280_BB33_D75C5722DE55__INCLUDED_)
#define AFX_BandSelectSampleDLG_H__F5C8484B_F27F_4280_BB33_D75C5722DE55__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SwiStructsGsm.h"
#include "SwiApiCm.h"
#include "Afxtempl.h"

#define TIMEOUT3 3000
#define TIMEOUT1 1000

// user defined windows message identifier for notifications
#define WM_NOTIFICATION WM_USER + 400

/////////////////////////////////////////////////////////////////////////////
//
//	Function	:	NotificationCallback
//
//	Description	:	Callback that receives all event notifications
//
//	Arguments	:	[IN]: pNotify - pointer to notification variant
//
//	Returns		:	None
//
//	Comments	:	Even if no notifications are being processed,
//					this function still needs to be registered and declared
//					for calls to the API to function properly.
//
/////////////////////////////////////////////////////////////////////////////
void NotificationCallback(SwiNotifyVariant *pNotify);

/////////////////////////////////////////////////////////////////////////////
// CBandSelectSampleDlg dialog

class CBandSelectSampleDlg : public CDialog
{
// Construction
public:
	CBandSelectSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBandSelectSampleDlg)
	enum { IDD = IDD_BandSelectSample_DIALOG };
	CButton	m_btnConnect;
	CButton	m_btnSearchBand;
	CButton	m_btnOK;
	CListCtrl	m_lstBand;
	CButton	m_btnSetBand;
	CString	m_strStatusIndicator;
	CString	m_strCurrentBand;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBandSelectSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL ConnectModem(); //connects to modem
	BOOL DisconnectModem(); //disconnects from modem
	void ProcessError(SWI_RCODE code); //handle error codes from the API
	static CBandSelectSampleDlg* Instance(); //returns a pointer to this object
	SWI_TYPE_Device GetHighestPriorityDeviceType ();

private:
	CString	GetFreqBandString (SWI_TYPE_Band eBand);

protected:
	HICON m_hIcon;

	bool m_bConnected;	// boolean indicator to check if application is connected to API
	
	// Generated message map functions
	//{{AFX_MSG(CBandSelectSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSetBand();
	afx_msg void OnGetBandInfo();
	virtual void OnOK();
	afx_msg void OnBtnConnect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BandSelectSampleDLG_H__F5C8484B_F27F_4280_BB33_D75C5722DE55__INCLUDED_)
