/**
 *
 *	Name	:	DTMFSettings.h
 *
 *	Purpose	:	Header file for DTMFSettings Dialog, here the user will use the
 *				UI to change values for the DTMF tones sent from the main dialog
 *
 *	History	:	created	July 8, 2003
 *				- initial version
 *
 *	Revision:	1.0
 *
 *	Copyright (c) 2003 Sierra Wireless, Inc. All rights reserved.
 *
 **/

#if !defined(AFX_DTMFSETTINGS_H__8C4A9DD5_7401_4538_8471_C56C98B22712__INCLUDED_)
#define AFX_DTMFSETTINGS_H__8C4A9DD5_7401_4538_8471_C56C98B22712__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SwiApiCm.h"
#include "SwiDataTypes.h"
#include "SwiApiGsm.h"

#define SELECT_NONE -1
#define SELECT_SHORT 0
#define SELECT_MEDIUM 1
#define SELECT_LONG 2
#define SELECT_CUSTOM 3

#define DIALOG_TIMEOUT 3000

/////////////////////////////////////////////////////////////////////////////
// DTMFSettings dialog

class DTMFSettings : public CDialog
{
// Construction
public:
	DTMFSettings(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(DTMFSettings)
	enum { IDD = IDD_DTMFSETTINGS };
	CSliderCtrl	m_ctrVolume;
	CComboBox	m_ctrDTMFLength;
	CButton	m_ctrEarFeedback;
	CButton	m_btnOk;
	CButton	m_btnCancel;
	UINT	m_nCustomOff;
	UINT	m_nCustomOn;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DTMFSettings)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:

protected:
	bool m_bCustom;	// flags user selectionof custom values
	bool m_bEarpieceFeedback;	// stores earpiece mute status
	unsigned int m_nDurationOn;	// stores the On duration length of DTMF tone
	unsigned int m_nDurationOff;	// stores the Off duration length of the DTMF tone
	void ProcessError (SWI_RCODE code);	// outputs error code to screen
		
	// Generated message map functions
	//{{AFX_MSG(DTMFSettings)
	virtual BOOL OnInitDialog();
	afx_msg void OnOk();
	afx_msg void OnCancel();
	afx_msg void OnSelchangeLengthselect();
	afx_msg void OnFeedback();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DTMFSETTINGS_H__8C4A9DD5_7401_4538_8471_C56C98B22712__INCLUDED_)
