/**
 *
 *	Name	:	ConnectAPISampleDlg.h
 *
 *	Purpose	:	Main dialog header file for ConnectAPISample
 *				This sample application demonstrates how to open a
 *				connection to the API.
 *
 *	History	:	created	Oct 23, 2001
 *				- initial version
 *				revised Feb 20 2002
 *				revised June 17, 2003
 *
 *	Revision:	2.0
 *
 *	Copyright (c) 2003 Sierra Wireless, Inc. All rights reserved.
 *
 **/

#if !defined(AFX_ConnectAPISampleDLG_H__9F685AA6_6C65_11D4_89CB_E0C855C1FFFD__INCLUDED_)
#define AFX_ConnectAPISampleDLG_H__9F685AA6_6C65_11D4_89CB_E0C855C1FFFD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SwiDataTypes.h"
#include "SwiApiCm.h"
#include "SwiStructsCm.h"
#include "resourceall.h"

#define BUFFER_SIZE		80
#define TIMEOUT			5000
#define WM_NOTIF_AIR_SERVER_DETECT		WM_USER + 100
#define WM_NOTIF_MODEM_DISABLED			WM_USER + 200

/////////////////////////////////////////////////////////////////////////////
// CRadioOnOffSampleDlg dialog

class CRadioOnOffSampleDlg : public CDialog
{
// Construction
public:
	CRadioOnOffSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRadioOnOffSampleDlg)
	enum { IDD = IDD_RadioOnOffSample_DIALOG };
	CButton	m_btnConnect;
	CString	m_strStatusIndicator;
	static CRadioOnOffSampleDlg* Instance(); //returns a pointer to this object
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRadioOnOffSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation

	void ApiConnect (SWI_TYPE_Device eDeviceType, bool bConnect = true);
	BOOL DisconnectModem(); //disconnect from modem
	BOOL ConnectModem();
	void ProcessError(SWI_RCODE code); //handle error codes from the API
	SWI_TYPE_Device GetHighestPriorityDeviceType ();

protected:
	HICON m_hIcon;
	BOOL m_bConnected;			// connection status indicator

	enum TYPE_Device
	{
		DEVICE_AC710_750_775_850,
		DEVICE_MC87xx,
	};

	// Generated message map functions
	//{{AFX_MSG(CRadioOnOffSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedRadioctrl();
	afx_msg LONG OnHandleProcessAirServerChangeNotification (WPARAM, LPARAM);
	afx_msg LONG OnModemDisabled(WPARAM wParam, LPARAM lParam);

private:
	bool m_bPoweredOff;
	static CRadioOnOffSampleDlg* m_instance; //a pointer to this object
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ConnectAPISampleDLG_H__9F685AA6_6C65_11D4_89CB_E0C855C1FFFD__INCLUDED_)
